//cardactivity.js
var adminapp = angular.module('adminapp');

adminapp.controller('cardactivity', ['$scope', '$http', function ($scope, $http) {
	$scope.activityLoaded = false;
	$scope.loadError = false;
	$scope.activityLoading = true;

	$http.get('cardactivitydata')
		.success(function (data) {
			$scope.activityLoading = false;
			$scope.activityLoaded = true;
			if (data && data.length) {
				data.forEach(function (item) {
					if (item.effectiveDate) {
						item.effectiveDate = new Date(item.effectiveDate);
					}
					if (item.nextEffectiveDate) {
						item.nextEffectiveDate = new Date(item.nextEffectiveDate);
					}
				});
				$scope.cardtitle = data[0].title;
				$scope.cardlist = data;
			}
		})
		.error(function () {
			$scope.activityLoading = false;
			$scope.loadError = true;
		});
	
	$scope.handleClick = function(e, item) {
		if(item.status === "inactive" && !(item.file && item.file.originalname)) {
			e.preventDefault();
			return false;
		}
	};
}]);
