//edituser.js
var adminapp = angular.module('adminapp');

adminapp.controller('edituserController', ['$scope', '$http', '$window', 'unloadMessage', function ($scope, $http, win, unloadMessageFunc) {
	win.onbeforeunload = unloadMessageFunc;

	$scope.oldUser = {lastname:'', firstname:''};
	$scope.error = false;
	$scope.loading = true;

	$scope.submit = function () {
		win.onbeforeunload = null;
	};

	$http.get('userdata')
		.success(function (data) {
			$scope.oldUser = {lastname: data.lastname, firstname: data.firstname};
			$scope.loading = false;
			$scope.user = data;
		})
		.error(function () {
			$scope.loading = false;
			$scope.user = null;
			$scope.error = true;
		});
}]);
