//manageusers.js
var adminapp = angular.module('adminapp');

adminapp.controller('users', ['$scope','$http', function ($scope, $http) {
	$scope.loading = true;
	$scope.error = false;
	$scope.hasData = false;
	$scope.isEmpty = false;
	$http.get('users')
		.success(function (data) {
			if (data && data.length) {
				data.forEach(function (user) {
					if (user.effectiveDate) {
						user.effectiveDate = new Date(user.effectiveDate);
					}
				});
			}
			$scope.users = data;
			$scope.hasData = (null!=data && data.length && data.length>0);
			$scope.isEmpty = (!$scope.hasData);
			$scope.loading = false;
		})
		.error(function () {
			$scope.error = true;
			$scope.loading = false;
		});
}]);
