angular.module('filters', [])
    .filter('tagFormat', function () {
        "use strict";
        return function (input) {
            return _.reduce(input, function (buf, value) {
                if (buf === "") {
                    buf = value;
                } else {
                    buf = buf.concat(", " + value);
                }

                return buf;
            }, "");
        };
    })
    .filter('dateFormat', function () {
        "use strict";
        return function (input) {
            return new Date(input).toLocaleString();
        };
    })
    .filter('displayStatus', function () {
        "use strict";

        return function (input) {
            var status = "Offline";

            if (input === undefined || input === true) {
                status = "";
            }

            return status;
        };
    });