//dao_utils

var dao_utils = {
	getNormalUserEntry: function (dbUser) {
		if (!dbUser) {
			return null;
		}
		var nUser = this.getUserCopiedCommon(dbUser);
		nUser.activeDirId = dbUser.active_dir_id;
		nUser.effectiveDate = dbUser.effective_date;
		nUser.userType = dbUser.user_type;
		nUser.email = dbUser.email;
		return nUser;
	},

	getDbUserEntry: function (user) {
		if (!user) {
			return null;
		}
		var newUser = this.getUserCopiedCommon(user);
		newUser.active_dir_id = user.activeDirId;
		newUser.effective_date = user.effectiveDate;
		newUser.user_type = user.userType;
		newUser.email = user.email;
		return newUser;
	},

	getUserCopiedCommon: function (user) {
		if (!user) {
			return null;
		}
		var newUser = {};
		newUser.lastname = user.lastname;
		newUser.firstname = user.firstname;
		newUser.id = user.id;
		newUser.status = user.status;
		return newUser;
	}
};

module.exports = dao_utils;