//clientserverCommon.js
(function(exports){

	//exports.nameRegex = /^[a-zA-Z\-\' \.]*$/;
	exports.nameRegex = /^.*$/;
	
	exports.emailRegex = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
	
	//exports.sysidRegex = /^[a-z0-9_\-]*$/i;
	exports.sysidRegex = /^.*$/;

	exports.pad2 = function (n) {
		n = n || '0';
		n = n + '';
		return n.length >= 2 ? n : '0' + n;
	};

	exports.getDatetimeString = function (aDate, includeSeconds) {
		if (!aDate) {
			return '';
		}
		if (aDate.getTimezoneOffset) {
			var val = aDate.getFullYear() + '-' + 
				exports.pad2(aDate.getMonth()+1) + '-' + 
				exports.pad2(aDate.getDate()) + ' ' + 
				exports.pad2(aDate.getHours()) + ':' + 
				exports.pad2(aDate.getMinutes());
			if (includeSeconds) {
				val += ':' + exports.pad2(aDate.getSeconds());
			}
			return val;
		}
		return aDate.toString();
	};

	exports.endsWith = function (aString, endingString) {
		if (aString && endingString) {
			var s1 = aString.toString();
			var end = endingString.toString();
			var index = -1;
			if ((index=s1.lastIndexOf(end))>-1) {
				if (s1.substr(index).length==end.length) {
					return true;
				}
			}
		}
		return false;

	};

})(typeof exports === 'undefined'? this['clientserverCommon']={}: exports);
