//home.js
var adminapp = angular.module('adminapp');

adminapp.controller('cards', ['$scope','$http', function ($scope, $http) {
	$scope.loading = true;
	$scope.error = false;
	$scope.hasData = false;
	$scope.isEmpty = false;
	$scope.isJustMine = true;
	$http.get('cards')
		.success(function (data) {
			$scope.cards = data;
			$scope.loading = false;
			if (null!=data && data.length) {
				$scope.hasData = true;
			}
			$scope.isEmpty = !($scope.hasData);
		})
		.error(function () {
			$scope.error = true;
			$scope.loading = false;
		});
}]);
