/* global it */
/* global describe */
//clientserverCommon_test.js
var should = require('should');
var log4js = require('log4js');
var log = log4js.getLogger('clientserverCommon_test');
var clientserverCommon = require('../public/js/clientserverCommon');
log.setLevel('FATAL');

describe('clientserverCommon tests', function () {
	describe('nameRegex.exec()', function () {
		it ('validates names', function () {
			clientserverCommon.nameRegex.exec('Jones\'-Henry Jr.').should.not.equal(null);
		});

		// it ('invalidates names', function () {
		// 	should(clientserverCommon.nameRegex.exec('hi there`')).equal(null);
		// });
	});

	describe('sysidRegex.test()', function () {
		it ('validates IDs', function () {
			clientserverCommon.sysidRegex.test('VHAISZXXX').should.equal(true);
			clientserverCommon.sysidRegex.test('vha-isl_monsos1').should.equal(true);
		});
	});
});
