//errorMessages_en_test.js
var should = require('should');
var log4js = require('log4js');
var log = log4js.getLogger('errorMessages_en_test');
log.setLevel('FATAL');

var messageMap = require('../models/errorMessages_en');

describe ('errorMessages_en tests', function () {
	describe ('getMessage()', function () {
		it ('returns default text for unfound key', function () {
			messageMap.getMessage(100).should.equal('Error');
		});

		it ('returns message whether string or number type', function () {
			var expectedString = 'No user given; new user not added';
			messageMap.getMessage(52).should.equal(expectedString);
			messageMap.getMessage('52').should.equal(expectedString);
		});
	});
});